USBMUXCTL(1)

NAME
usbmuxctl - control a Linux Automation usbmux device

DESCRIPTION
usage: usbmuxctl [-h] [--serial SERIAL] [--path PATH] [--json | --raw |

    --quiet] {list,status,update,disconnect,connect,id,dfu} ...

USB-Mux control

  positional arguments:

{list,status,update,disconnect,connect,id,dfu}
    Supply one of the following commands to interact with the USB-Mux

list
    Lists all connected USB-Mux

status
    Get the status of a USB-Mux

update
    Update software on the USB-Mux

disconnect
    Clear all connections between the ports of the USB-Mux

connect
    Make connections between the ports of the USB-Mux

id  Set the state of the ID-Pin to the DUT

dfu Send the USB-Mux into the USB-Bootloader mode.

  options:

-h, --help
    show this help message and exit

--serial SERIAL
    Serial number of the USB-Mux

--path PATH
    path to the USB-Mux

--json
    Format output as json. Useful for scripting.

--raw
    Format output as raw info. Useful for command line scripting.

--quiet, -q
    Make the tool less verbose.